Subject: [alpine-devel] [PATCH] Tornado Web

From: Peter Bui <[email-masked]>
Date: Sun, 24 Aug 2014 01:37:59 -0500

The following are three new aports for Tornado, a Python web framework and
asynchronous networking library:

    http://www.tornadoweb.org/

The first two are dependencies for Tornado, while the final aport is the actual
library.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 4 Sep 2014 10:53:57 +0200

On Sun, 24 Aug 2014 01:37:59 -0500

> Help:         [email-masked]

all 3 patches applied. thanks!

-nc

---

---

From: Peter Bui <[email-masked]>
Date: Sun, 24 Aug 2014 01:38:02 -0500

http://www.tornadoweb.org/
Python web framework and asynchronous networking library
---
 testing/py-tornado/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-tornado/APKBUILD

diff --git a/testing/py-tornado/APKBUILD b/testing/py-tornado/APKBUILD
new file mode 100644
index 0000000..3abded3
--- /dev/null
+++ b/testing/py-tornado/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-tornado
+_pkgname=tornado
+pkgver=4.0.1
+pkgrel=0
+pkgdesc="Python web framework and asynchronous networking library"
+url="http://www.tornadoweb.org/"
+arch="noarch"
+license="Apache"
+depends="python py-backports.ssl_match_hostname py-certifi"
+depends_dev="py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="2b28e37b95aa653369a31a440242a24a  tornado-4.0.1.tar.gz"
+sha256sums="ae058668b276b1ec7383cfc911323e6d27b3b47e38a12d3d3eaf6b6577b99901  tornado-4.0.1.tar.gz"
+sha512sums="a4e0231e77ebbc2885bab648b292b842cb15c84d66a1972de18cb00fcc611eae2794b872f070ab7d5af32dd0c6c1773527fe1332bd382c1821e1f2d5d76808fb  tornado-4.0.1.tar.gz"
-- 
2.1.0

---

---

From: Peter Bui <[email-masked]>
Date: Sun, 24 Aug 2014 01:38:01 -0500

https://pypi.python.org/pypi/certifi
Python package for providing Mozilla's CA Bundle (required by
Tornadoweb)
---
 testing/py-certifi/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-certifi/APKBUILD

diff --git a/testing/py-certifi/APKBUILD b/testing/py-certifi/APKBUILD
new file mode 100644
index 0000000..ab09e34
--- /dev/null
+++ b/testing/py-certifi/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-certifi
+_pkgname=certifi
+pkgver=14.05.14
+pkgrel=0
+pkgdesc="Python package for providing Mozilla's CA Bundle"
+url="https://pypi.python.org/pypi/certifi"
+arch="noarch"
+license="ISC"
+depends="python"
+depends_dev="py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="315ea4e50673a16ab047099f816fd32a  certifi-14.05.14.tar.gz"
+sha256sums="1e1bcbacd6357c151ae37cf0290dcc809721d32ce21fd6b7339568f3ddef1b69  certifi-14.05.14.tar.gz"
+sha512sums="5edba0cc432c27212e31085fb3c2f2ded6fa177d716116111517c25b980d9fc206a9a6d47e2c001762e951ff50203b269d0eb245a039df20188b1136f3b700b2  certifi-14.05.14.tar.gz"
-- 
2.1.0

---